"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = configureFonts;

var _reactNative = require("react-native");

const fontConfig = {
  web: {
    regular: {
      fontFamily: 'Inter',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter',
      fontWeight: '100'
    }
  },
  ios: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100'
    }
  },
  android: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400'
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500'
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300'
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100'
    }
  }
};

function configureFonts(config) {
  return _reactNative.Platform.select({ ...fontConfig,
    ...config
  });
}
//# sourceMappingURL=fonts.js.map