import React from 'react';
import { Button as PaperButton, useTheme } from 'react-native-paper';
import type { ButtonProps } from './Button.types';

export const Button: React.FC<ButtonProps> = (props: ButtonProps) => {
  let { color, uppercase = false } = props;
  const { colors } = useTheme();

  switch (color) {
    case 'primary':
      color = colors.primary;
      break;
    case 'secondary':
      color = colors.accent;
      break;
    case 'danger':
      color = colors.error;
      break;
  }

  return <PaperButton {...props} color={color} uppercase={uppercase} />;
};
