import { DefaultTheme } from 'react-native-paper';

import configureFonts from './fonts';
import type { Theme } from '../types';

export const FoundationTheme: Theme = {
  dark: false,
  roundness: 4,
  colors: {
    ...DefaultTheme.colors,
    primary: '#9156E3',
    accent: '#BDBDBD',
    error: '#D32F2F',
    background: '#ffffff',
    surface: '#ffffff',
    text: '#000000de',
    onSurface: '#323232',
    disabled: '#0000001f',
    placeholder: '#00000099',
    backdrop: '#E0E0E0',
  },
  fonts: configureFonts(),
  animation: {
    scale: 1.0,
  },
};
