import { Platform, PlatformOSType } from 'react-native';
import type { Fonts } from 'react-native-paper/src/types';

const fontConfig = {
  web: {
    regular: {
      fontFamily: 'Inter',
      fontWeight: '400',
    },
    medium: {
      fontFamily: 'Inter',
      fontWeight: '500',
    },
    light: {
      fontFamily: 'Inter',
      fontWeight: '300',
    },
    thin: {
      fontFamily: 'Inter',
      fontWeight: '100',
    },
  },
  ios: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400',
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500',
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300',
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100',
    },
  },
  android: {
    regular: {
      fontFamily: 'Inter-Regular',
      fontWeight: '400',
    },
    medium: {
      fontFamily: 'Inter-Medium',
      fontWeight: '500',
    },
    light: {
      fontFamily: 'Inter-Light',
      fontWeight: '300',
    },
    thin: {
      fontFamily: 'Inter-Thin',
      fontWeight: '100',
    },
  },
};

export default function configureFonts(config?: {
  [platform in PlatformOSType | 'default']?: Fonts;
}): Fonts {
  return Platform.select({ ...fontConfig, ...config }) as Fonts;
}
